<template>
  <div
    :class="{ '-invalid': classes['-invalid'] }"
    class="input desktopshow">
    <the-mask
      mask="YG##"
      type="text"
      @input.native="$emit('input', year)"
      v-model="year"
      placeholder="Год выпуска *"
      class="input-field"
      :tokens="{'Y': {pattern: /[12]/}, '#': {pattern: /\d/}, 'G': {pattern: /[09]/} }"/>
  </div>
</template>

<script>
import { TheMask } from 'vue-the-mask';

export default {
  name: 'InputPartYear',
  components: {
    TheMask,
  },
  props: {
    value: {
      type: String,
      default: '',
    },
    yearsRange: {
      type: Array,
      default() { return []; },
    },
    classes: {
      type: Object,
      default() { return {}; },
    },
  },
  data() {
    const year = this.value;
    return {
      year,
    };
  },
};
</script>

<style lang="postcss">

</style>
